function plotIntensityProfileAndPotentials(positions, waists, I, U)
    x_Positions = positions{1};
    z_Positions = positions{2};
    
    w_x = waists(1);
    dw_x = waists(2);
    w_z = waists(3);
    dw_z = waists(4);
    
    ar = w_x / w_z;
    dar = ar * sqrt((dw_x / w_x)^2 + (dw_z / w_z)^2);
    
    figure('Position', [100, 100, 1200, 600])
    
    subplot(1,2,1)
    title(sprintf('Intensity Profile ($MW/cm^2$)\n Aspect Ratio = %.2f \\pm %.2f \\mum', ar, dar), 'Interpreter', 'latex')
    imagesc(x_Positions, z_Positions, transpose(I));
    axis equal
    colorbar
    xlabel('X - Horizontal (\mum)', 'FontSize', 12, 'FontWeight', 'bold')
    ylabel('Z - Vertical (\mum)', 'FontSize', 12, 'FontWeight', 'bold')
    grid on
    
    subplot(1,2,2)
    title('Trap Potential')
    plot(x_Positions, U(:, z_Positions == 0), 'DisplayName', 'X - Horizontal')
    hold on
    plot(z_Positions, U(x_Positions == 0, :), 'DisplayName', 'Z - Vertical')
    ylim([min(U(:)), 0])
    xlabel('Extent (\mum)', 'FontSize', 12, 'FontWeight', 'bold')
    ylabel('Depth (\muK)', 'FontSize', 12, 'FontWeight', 'bold')
    grid on
    legend('FontSize', 12, 'FontWeight', 'bold')
    tight_layout()
    hold off
end
